## ros-noetic-pr2-gripper-sensor-action 1.0.12

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gripper_sensor_action)

find_package(catkin REQUIRED COMPONENTS roscpp actionlib_msgs actionlib pr2_gripper_sensor_msgs pr2_mechanism_controllers robot_mechanism_controllers pr2_controllers_msgs pr2_mechanism_model pr2_gripper_sensor_controller pr2_machine message_generation)

catkin_package(
    DEPENDS roscpp actionlib_msgs actionlib pr2_gripper_sensor_msgs pr2_mechanism_controllers robot_mechanism_controllers pr2_controllers_msgs pr2_mechanism_model pr2_gripper_sensor_controller pr2_machine message_runtime
    CATKIN_DEPENDS  # TODO
    INCLUDE_DIRS  ${catkin_INCLUDE_DIRS}# TODO include
    LIBRARIES # TODO
)

include_directories(${catkin_INCLUDE_DIRS})

link_directories(${catkin_INCLUDE_DIRS})

add_executable(pr2_gripper_sensor_action src/pr2_gripper_sensor_action.cpp)
add_dependencies(pr2_gripper_sensor_action ${catkin_EXPORTED_TARGETS})
target_link_libraries(pr2_gripper_sensor_action ${catkin_LIBRARIES})

add_executable(pr2_gripper_findContact_action src/pr2_gripper_findContact_action.cpp)
target_link_libraries(pr2_gripper_findContact_action ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_findContact_action ${catkin_EXPORTED_TARGETS})

add_executable(pr2_gripper_slipServo_action src/pr2_gripper_slipServo_action.cpp)
target_link_libraries(pr2_gripper_slipServo_action ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_slipServo_action ${catkin_EXPORTED_TARGETS})

add_executable(pr2_gripper_event_detector_action     src/pr2_gripper_event_detector_action.cpp)
target_link_libraries(pr2_gripper_event_detector_action ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_event_detector_action ${catkin_EXPORTED_TARGETS})

add_executable(pr2_gripper_forceServo_action     src/pr2_gripper_forceServo_action.cpp)
target_link_libraries(pr2_gripper_forceServo_action ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_forceServo_action pr2_gripper_sensor_msgs_gencpp)

add_executable(positionActionTest              src/positionActionTest.cpp)
target_link_libraries(positionActionTest ${catkin_LIBRARIES})

add_executable(findContactActionTest          src/findContactActionTest.cpp)
add_dependencies(findContactActionTest ${catkin_EXPORTED_TARGETS})
target_link_libraries(findContactActionTest ${catkin_LIBRARIES})

add_executable(slipServoActionTest          src/slipServoActionTest.cpp)
target_link_libraries(slipServoActionTest ${catkin_LIBRARIES})
add_dependencies(slipServoActionTest ${catkin_EXPORTED_TARGETS})

add_executable(placeActionTest          src/placeActionTest.cpp)
target_link_libraries(placeActionTest ${catkin_LIBRARIES})
add_dependencies(placeActionTest ${catkin_EXPORTED_TARGETS})

add_executable(forceServoActionTest          src/forceServoActionTest.cpp)
target_link_libraries(forceServoActionTest ${catkin_LIBRARIES})
add_dependencies(forceServoActionTest ${catkin_EXPORTED_TARGETS})

add_executable(pr2_gripper_grab_action          src/pr2_gripper_grab_action.cpp)
target_link_libraries(pr2_gripper_grab_action ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_grab_action ${catkin_EXPORTED_TARGETS})

add_executable(pr2_gripper_release_action          src/pr2_gripper_release_action.cpp)
target_link_libraries(pr2_gripper_release_action ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_release_action ${catkin_EXPORTED_TARGETS})

add_executable(grabActionTest          src/grabActionTest.cpp)
target_link_libraries(grabActionTest ${catkin_LIBRARIES})
add_dependencies(grabActionTest ${catkin_EXPORTED_TARGETS})

include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS
  pr2_gripper_sensor_action
  pr2_gripper_findContact_action
  pr2_gripper_slipServo_action
  pr2_gripper_event_detector_action
  pr2_gripper_forceServo_action
  pr2_gripper_grab_action
  pr2_gripper_release_action
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY scripts launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-noetic-pr2-gripper-sensor-action (1.0.12-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 14 Oct 2022 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.11-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 30 Mar 2020 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.10-1buster) buster; urgency=high

  * Merge pull request #14 <https://github.com/pr2/pr2_gripper_sensor/issues/14> from PR2/fix_maintainer
    change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * Merge pull request #10 <https://github.com/pr2/pr2_gripper_sensor/issues/10> from furushchev/use-env
    [pr2_gripper_sensor_action] use optenv instead of direct use pr2.machine in launch
  * use optenv instead of direct use pr2.machine
  * Contributors: Devon Ash, Kei Okada, Yuki Furuta

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 11 Jul 2018 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.9-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.8-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 01 Jun 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.7-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 25 Mar 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.6-1buster) buster; urgency=high

  * add install settings for catkin_make
  * Contributors: Yuki Furuta

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 16 Mar 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.5-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.4-1buster) buster; urgency=high

  * Fix location of catkin_package to build binary at correct directory
  * Contributors: Ryohei Ueda

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 02 Nov 2014 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.3-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 17 Sep 2014 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-action (1.0.2-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 09 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-pr2-gripper-sensor-action
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-gripper-sensor-controller, ros-noetic-pr2-gripper-sensor-msgs, ros-noetic-pr2-machine, ros-noetic-pr2-mechanism-controllers, ros-noetic-pr2-mechanism-model, ros-noetic-robot-mechanism-controllers, ros-noetic-roscpp
Homepage: None
Standards-Version: 3.9.2

Package: ros-noetic-pr2-gripper-sensor-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-message-runtime, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-gripper-sensor-controller, ros-noetic-pr2-gripper-sensor-msgs, ros-noetic-pr2-machine, ros-noetic-pr2-mechanism-controllers, ros-noetic-pr2-mechanism-model, ros-noetic-robot-mechanism-controllers, ros-noetic-roscpp
Description: The pr2_gripper_sensor_action package provides an action interface for talking to the pr2_gripper_sensor_controller real-time controller.
 It provides several different actions for getting high-level sensor information from the PR2 palm-mounted accelerometers, fingertip pressure arrays, and gripper motor/encoder, as well as several sensor-based gripper control actions that respond with low-latency in real-time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pr2-gripper-sensor-action//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
